aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorNicolas LÅ“uillet <nicolas@loeuillet.org>2016-10-27 10:09:43 +0200
committerNicolas LÅ“uillet <nicolas@loeuillet.org>2016-10-27 10:09:43 +0200
commitc4d9a8d6d0db2be5c502e257bbeb963e3870d521 (patch)
tree3707e21a1f0a4074bd9353efee7798582eeac18e /scripts
parent9998c725330b4a99d6d12df60ac8234052e80b6a (diff)
downloadwallabag-c4d9a8d6d0db2be5c502e257bbeb963e3870d521.tar.gz
wallabag-c4d9a8d6d0db2be5c502e257bbeb963e3870d521.tar.zst
wallabag-c4d9a8d6d0db2be5c502e257bbeb963e3870d521.zip
Usage of composer.phar if it's found
Diffstat (limited to 'scripts')
-rw-r--r--scripts/dev.sh4
-rw-r--r--scripts/install.sh4
-rw-r--r--scripts/require.sh5
-rw-r--r--scripts/update.sh4
4 files changed, 12 insertions, 5 deletions
diff --git a/scripts/dev.sh b/scripts/dev.sh
index 9f5b2432..fa3b2d5d 100644
--- a/scripts/dev.sh
+++ b/scripts/dev.sh
@@ -2,10 +2,12 @@
2# You can execute this file to install wallabag dev environment 2# You can execute this file to install wallabag dev environment
3# eg: `sh dev.sh` 3# eg: `sh dev.sh`
4 4
5COMPOSER_COMMAND='composer'
6
5DIR="${BASH_SOURCE%/*}" 7DIR="${BASH_SOURCE%/*}"
6if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi 8if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi
7. "$DIR/require.sh" 9. "$DIR/require.sh"
8 10
9composer install 11$COMPOSER_COMMAND install
10php bin/console wallabag:install 12php bin/console wallabag:install
11php bin/console server:run 13php bin/console server:run
diff --git a/scripts/install.sh b/scripts/install.sh
index cf966a0d..7a1f02bd 100644
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -2,6 +2,8 @@
2# You can execute this file to install wallabag 2# You can execute this file to install wallabag
3# eg: `sh install.sh prod` 3# eg: `sh install.sh prod`
4 4
5COMPOSER_COMMAND='composer'
6
5DIR="${BASH_SOURCE%/*}" 7DIR="${BASH_SOURCE%/*}"
6if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi 8if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi
7. "$DIR/require.sh" 9. "$DIR/require.sh"
@@ -10,5 +12,5 @@ ENV=$1
10TAG=$(git describe --tags $(git rev-list --tags --max-count=1)) 12TAG=$(git describe --tags $(git rev-list --tags --max-count=1))
11 13
12git checkout $TAG 14git checkout $TAG
13SYMFONY_ENV=$ENV composer install --no-dev -o --prefer-dist 15SYMFONY_ENV=$ENV $COMPOSER_COMMAND install --no-dev -o --prefer-dist
14php bin/console wallabag:install --env=$ENV 16php bin/console wallabag:install --env=$ENV
diff --git a/scripts/require.sh b/scripts/require.sh
index 851d065d..ddfb3dd2 100644
--- a/scripts/require.sh
+++ b/scripts/require.sh
@@ -3,6 +3,7 @@
3 3
4if [ ! -f composer.phar ]; then 4if [ ! -f composer.phar ]; then
5 echo "composer.phar not found, we'll see if composer is installed globally." 5 echo "composer.phar not found, we'll see if composer is installed globally."
6 command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }
7else
8 COMPOSER_COMMAND='composer.phar'
6fi 9fi
7
8command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }
diff --git a/scripts/update.sh b/scripts/update.sh
index 96a48217..45e93f36 100644
--- a/scripts/update.sh
+++ b/scripts/update.sh
@@ -2,6 +2,8 @@
2# You can execute this file to update wallabag 2# You can execute this file to update wallabag
3# eg: `sh update.sh prod` 3# eg: `sh update.sh prod`
4 4
5COMPOSER_COMMAND='composer'
6
5DIR="${BASH_SOURCE%/*}" 7DIR="${BASH_SOURCE%/*}"
6if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi 8if [[ ! -d "$DIR" ]]; then DIR="$PWD"; fi
7. "$DIR/require.sh" 9. "$DIR/require.sh"
@@ -13,5 +15,5 @@ rm -rf var/cache/*
13git fetch origin 15git fetch origin
14git fetch --tags 16git fetch --tags
15git checkout $TAG --force 17git checkout $TAG --force
16SYMFONY_ENV=$ENV composer install --no-dev -o --prefer-dist 18SYMFONY_ENV=$ENV $COMPOSER_COMMAND install --no-dev -o --prefer-dist
17php bin/console cache:clear --env=$ENV 19php bin/console cache:clear --env=$ENV